in scala.util.automata
class NondetWordAutom

`abstract class` NondetWordAutom [T <: java.lang.Object]
  `extends` java.lang.Object
  `with` scala.ScalaObject

  A nondeterministic automaton. States are integers, where 0 is always the only initial state. Transitions are represented in the delta function. Default transitions are transitions that are taken when no other transitions can be applied. All states are reachable. Accepting states are those for which the partial function 'finals' is defined.

Constructor Summary
| `def` this

Val Summary
`abstract` | `val` default : scala.Array[scala.collection.immutable.BitSet]
`abstract` | `val` delta : scala.Array[scala.collection.Map[T, scala.collection.immutable.BitSet]]
`abstract` | `val` finals : scala.Array[scala.Int]
`abstract` | `val` labels : scala.Seq[T]
`abstract` | `val` nstates : scala.Int

Def Summary
`final` | `def` containsFinal (Q: scala.collection.immutable.BitSet) : scala.Boolean returns true if the set of states contains at least one final state
`final` | `def` finalTag (state: scala.Int) : scala.Int returns tag of final state
`final` | `def` isEmpty : scala.Boolean returns true if there are no accepting states
`final` | `def` isFinal (state: scala.Int) : scala.Boolean returns true if the state is final
| `def` next (Q: scala.collection.immutable.BitSet, a: T) : scala.collection.immutable.BitSet returns a bitset with the next states for given state and label
| `def` next (q: scala.Int, a: T) : scala.collection.immutable.BitSet returns a bitset with the next states for given state and label
| `def` nextDefault (Q: scala.collection.immutable.BitSet) : scala.collection.immutable.BitSet
`override` | `def` toString : java.lang.String

Constructor Detail

`def` this

Val Detail

`abstract val` default : scala.Array[scala.collection.immutable.BitSet]

`abstract val` delta : scala.Array[scala.collection.Map[T, scala.collection.immutable.BitSet]]

`abstract val` finals : scala.Array[scala.Int]

`abstract val` labels : scala.Seq[T]

`abstract val` nstates : scala.Int

Def Detail

`final def` containsFinal (Q: scala.collection.immutable.BitSet): scala.Boolean

  returns true if the set of states contains at least one final state

`final def` finalTag (state: scala.Int): scala.Int

  returns tag of final state

`final def` isEmpty : scala.Boolean

  returns true if there are no accepting states

`final def` isFinal (state: scala.Int): scala.Boolean

  returns true if the state is final

`def` next (Q: scala.collection.immutable.BitSet, a: T): scala.collection.immutable.BitSet

  returns a bitset with the next states for given state and label

`def` next (q: scala.Int, a: T): scala.collection.immutable.BitSet

  returns a bitset with the next states for given state and label

`def` nextDefault (Q: scala.collection.immutable.BitSet): scala.collection.immutable.BitSet

`override def` toString : java.lang.String